# ############################################################
#
#  This file define CodeSet Information.
#
# ############################################################
#
# Each CodeSet is defined as following format.
#
#	BEGIN	"CODESET TYPE"
#		NAME			"CODESET NAME"
#		"PARAMETER KEY"		"PARAMETER VALUE"
#		...			...
#	END
#
# Parameter field is depend on each CodeSet.
#
# Next CodeSet type is available now.
#
# 	* ISO2022
#	    These parameter are available.
#		G0	-	designate charset as the G0 set
#		G1	-	designate charset as the G1 set
#		G2	-	designate charste as the G2 set
#		G3	-	designate charste as the G2 set
#		OPT	-	optional feature
#			OLD	- use ESC 2/4 4/[0-2] sequence
#			EUC	- do not use designate sequence,
#				  and use single-shift(right) sequece
#	* SJIS
#	    These parameter are available.
#		GR	-	charset for Roman Character
#		GK	-	charset for Kana Character
#		GJ	-	charset for JIS Kanji Character
#	* BIG5
#	    These parameter are available.
#		GL	-	charset for Left mapping character
#		GR	-	charset for Right mapping character
#
# ############################################################

#####  Compound Text  #####

BEGIN	ISO2022
	NAME	CTEXT
	G0 	ASCII
	G1	ISO8859-1
END

#####  European #####

BEGIN	ISO2022
	NAME	ISO8859-1
	G0 	ASCII
	G1	ISO8859-1
END

BEGIN	ISO2022
	NAME	ISO8859-2
	G0 	ASCII
	G1	ISO8859-2
END

BEGIN	ISO2022
	NAME	ISO8859-3
	G0 	ASCII
	G1	ISO8859-3
END

BEGIN	ISO2022
	NAME	ISO8859-4
	G0 	ASCII
	G1	ISO8859-4
END

BEGIN	ISO2022
	NAME	ISO8859-5
	G0 	ASCII
	G1	ISO8859-5
END

BEGIN	ISO2022
	NAME	ISO8859-6
	G0 	ASCII
	G1	ISO8859-6
END

BEGIN	ISO2022
	NAME	ISO8859-7
	G0 	ASCII
	G1	ISO8859-7
END

BEGIN	ISO2022
	NAME	ISO8859-8
	G0 	ASCII
	G1	ISO8859-8
END

BEGIN	ISO2022
	NAME	ISO8859-9
	G0 	ASCII
	G1	ISO8859-9
END

#####  Japanese  #####

BEGIN	ISO2022
	NAME	ja_JP.JIS
	G0 	ASCII
	G1	JISX0201.1976-K
	OPT	OLD
END

BEGIN	ISO2022
	NAME	ja_JP.EUC
	G0 	ASCII
	G1	JISX0208.1983
	G2	JISX0201.1976-K
	G3	JISX0212.1990
	OPT	EUC
END

BEGIN	SJIS
	NAME	ja_JP.SJIS
	GR	ASCII
	GK	JISX0201.1976-K
	GJ	JISX0208.1983
END

#####  Korean  #####

BEGIN	ISO2022
	NAME	ko_KR.EUC
	G0	ASCII
	G1	KSC5601.1987
	OPT	EUC
END

#####  Chinese  #####

BEGIN	ISO2022
	NAME	zh_CN.EUC
	G0	ASCII
	G1	GB2312.1980
	OPT	EUC
END

BEGIN	BIG5
	NAME	zh_TW.BIG5
	GL	ASCII
	GR	BIG5.HKU
END
